## lilypond-1.0.0.tar.gz

=== Documentation/Makefile ===
# Documentation/Makefile

depth = ..

NAME = Documentation
SUBDIRS=man tex pictures topdocs

include $(depth)/make/Stepmake.make 

default: do-doc

README_TOPFILES=NEWS DEDICATION TODO ANNOUNCE-0.1

EXTRA_DISTFILES = gnu-music-history TODO 

BLURBS=BLURB COPERTINA FLAPTEKST
INFOFILES = $(outdir)/$(package).info

OUTTEXINFOFILES = $(outdir)/topinfo.texinfo $(outdir)/mutopia.texinfo

texinfo: $(OUTTEXINFOFILES)

include $(stepdir)/Documentation.shared.make

=== buildscripts/Makefile ===
# bin/Makefile

depth = ..

include $(depth)/make/Stepmake.make 

default: 

EXTRA_DISTFILES = ltconfig

include $(stepdir)/Script_files.make

=== debian/Makefile ===
# debian/Makefile

depth = ..

NAME= debian

include $(depth)/make/Stepmake.make 

CONFFILES=changelog copyright postinst postrm rules watch 
OUTCONFFILES=$(addprefix $(outdir)/, $(basename $(CONFFILES))) $(OUTINFILES)
OUT_DISTFILES = $(OUTINFILES)

default: $(OUTCONFFILES)

BLURBS=BLURB
ATFILES = $(BLURBS) # 
at-dir = $(outdir)/
at-ext =

EXTRA_DISTFILES = README.Debian TODO $(CONFFILES) $(OUT_DISTFILES) control.foka

$(outdir)/%: %
	rm -f $@
	ln $< $@

$(outdir)/control: $(addprefix $(outdir)/, $(BLURBS))

$(outdir)/%: $(doc-dir)/%.in
	rm -f $@
	cat $< | sed 's%^% %' > $@

=== flower/Makefile ===
# title	   top level makefile for FlowerLib
# file	   flower/Makefile

# should reinstate versioning if shared libs are enabled.

depth = ..

NAME = flower
MODULE_NAME = flower
SUBDIRS = include 

SCRIPTS = 
README_FILES = NEWS-1.0 NEWS-1.1.46 README TODO
EXTRA_DISTFILES= VERSION $(README_FILES) $(SCRIPTS)


include $(depth)/make/Stepmake.make 
include $(stepdir)/Library_targets.make

# hmm, is this bo shared efforts?
# default: $(LIBRARY)

default: the-lib

THE_LIB=$(outdir)/$(LIB_PREFIX)flower$(LIB_SUFFIX)
the-lib: $(THE_LIB) 

localdist: 

-include /dev/null $(DEPFILES)

localdistclean:
	rm -f config.cache config.status config.log

localinstall: $(LIBFLOWER)
ifeq ($(LIB_SUFFIX),.so)
	$(INSTALL) -d $(libdir)
	$(INSTALL) $(LIBFLOWER).$(VERSION) $(libdir)
	ln -s $(LIB_PREFIX)flower$(LIB_SUFFIX).$(VERSION) $(libdir)/$(LIB_PREFIX)flower$(LIB_SUFFIX).$(MAJOR_VERSION)
	ln -s $(LIB_PREFIX)flower$(LIB_SUFFIX).$(VERSION) $(libdir)/$(LIB_PREFIX)flower$(LIB_SUFFIX)
endif

localuninstall:
	rm -f $(libdir)/libflower.{so*,a}

=== init/Makefile ===
# init/Makefile

depth = ..

include $(depth)/make/Stepmake.make 
include $(make-dir)/Mutopia.make

INIFILES = $(FLYFILES) $(LYFILES)
# DISTFILES = Makefile $(INIFILES)

INSTALLATION_DIR=$(datadir)
INSTALLATION_FILES=$(INIFILES)

include $(stepdir)/Installfiles.make

=== intl/Makefile ===
# intl/Makefile

depth = ..

NAME = intl

include $(depth)/make/Stepmake.make

# MODULE_CXXFLAGS += -D_REENTRANT
MAINTARGET = $(LIBRARY)# huh?

SEDFILES = $(wildcard *.sed)

# should be set by configure...
URG_DEFINES = -DGNULOCALEDIR=\"$(localedir)\" -DLOCALE_ALIAS_PATH=\"$(localedir):\"
EXTRA_CFLAGS = -I. $(URG_DEFINES)

EXTRA_DISTFILES = Makefile.in.dist cat-compat.c.dist ChangeLog libintl.inst $(SEDFILES)

default:
	@echo "to install libintl type 'make lib; make install-lib'"

lib:  $(LIBRARY)
LIBINTL = $(LIBRARY)

install-lib: $(LIBINTL)
# localinstall: $(LIBINTL)
	$(INSTALL) -d $(includedir)
#	$(INSTALL) libintl.h $(includedir)
	$(INSTALL) libintl.inst $(includedir)/libintl.h
ifeq ($(LIB_SUFFIX),.so)
	$(INSTALL) -d $(libdir)
	$(INSTALL) $(LIBINTL).$(VERSION) $(libdir)
	ln -s $(LIB_PREFIX)intl$(LIB_SUFFIX).$(VERSION) $(libdir)/$(LIB_PREFIX)intl$(LIB_SUFFIX).$(MAJOR_VERSION)
	ln -s $(LIB_PREFIX)intl$(LIB_SUFFIX).$(VERSION) $(libdir)/$(LIB_PREFIX)intl$(LIB_SUFFIX)
else
	$(INSTALL) -d $(libdir)
	echo libintl: $(LIBINTL)
	echo libdir: $(libdir)
	$(INSTALL) $(LIBINTL) $(libdir)
endif

localuninstall:
	rm -f $(inludedir)/libintl.h
	rm -f $(libdir)/libintl.{so*,a}

=== lib/Makefile ===
# lib/Makefile

depth = ..

NAME = lily
SUBDIRS = include

MODULE_CXXFLAGS += -D_REENTRANT

include $(depth)/make/Stepmake.make 
include $(stepdir)/Library_targets.make 

default:  $(LIBRARY)

=== lily/Makefile ===
# title	   makefile for lilypond
# file	   lily/Makefile 

depth = ..

NAME = lilypond
SUBDIRS = include

EXTRA_DISTFILES = VERSION 
MODULE_LIBDEPS= check-flower-deps check-lib-deps 
MODULE_LIBES= -llily -lflower # -lmcheck

include $(depth)/make/Stepmake.make 
include Stable.make
include VERSION

# force these: Make can't know these have to be generated in advance
my-lily-lexer.cc: $(outdir)/parser.hh
$(outdir)/lexer.o: $(outdir)/parser.hh

include $(stepdir)/Executable.make
default: $(EXECUTABLE)


$(outdir)/lily-version.o: $(outdir)/version.hh

$(outdir)/main.o: $(outdir)/BLURB.hh $(outdir)/COPERTINA.hh $(outdir)/FLAPTEKST.hh


VERSION: $(depth)/VERSION
	cp $< $@

=== mf/Makefile ===
# mf/Makefile

depth = ..

include $(depth)/make/Stepmake.make 
include $(stepdir)/Metafont.make

TEXFILES = $(wildcard *.tex)
EXTRA_DISTFILES += TODO README


lyout = $(outdir)/
texout = $(outdir)/

FET_FILES = $(wildcard feta[0-9]*.mf)

LYTABLES = $(addprefix $(lyout)/, $(FET_FILES:.mf=.ly))
LOGFILES = $(addprefix $(outdir)/, $(FET_FILES:.mf=.log))
TEXTABLES = $(addprefix $(texout)/, $(FET_FILES:.mf=.tex))
AFMFILES = $(addprefix $(texout)/, $(FET_FILES:.mf=.afm))

default: $(LYTABLES) $(TEXTABLES) $(LOGFILES) $(AFMFILES)


$(lyout)/%.afm $(lyout)/%.ly $(texout)/%.tex $(outdir)/%.dep: $(outdir)/%.log
	$(PYTHON) $(buildscripts)/mf-to-table.py --package=$(topdir) --outdir=$(outdir) --dep $(outdir)/$(<F:.log=.dep) --ly $(lyout)/$(<F:.log=.ly) --afm $(lyout)/$(<F:.log=.afm) --tex $(texout)/$(<F:.log=.tex) $<


lyouts:

TEXINSTALL=$(MAKE) INSTALLATION_OUT_DIR=$(TEXDIR)/lilypond depth=.. INSTALLATION_OUT_FILES="$(TEXTABLES)" -f $(stepdir)/Install_outfiles.sub.make $@

AFMINSTALL=$(MAKE) depth=.. INSTALLATION_OUT_DIR=$(datadir) INSTALLATION_OUT_FILES="$(AFMFILES)" -f $(stepdir)/Install_outfiles.sub.make $@

LYINSTALL=$(MAKE) depth=.. INSTALLATION_OUT_DIR=$(datadir) INSTALLATION_OUT_FILES="$(LYTABLES)" -f $(stepdir)/Install_outfiles.sub.make $@

localinstall:
	$(TEXINSTALL)
	$(LYINSTALL)
	$(AFMINSTALL)

localuninstall:
	$(TEXINSTALL)
	$(LYINSTALL)
	$(AFMINSTALL)

INSTALLATION_DIR=$(MFDIR)/public/lilypond
INSTALLATION_FILES=$(MFFILES)

include $(stepdir)/Installfiles.make

=== mi2mu/Makefile ===
# title	   makefile for mi2mu
# file	   mi2mu/Makefile 

depth = ..

NAME = mi2mu
MODULE_NAME = mi2mu

SUBDIRS = include
EXTRA_DISTFILES =  TODO
MODULE_LIBDEPS=check-flower-deps check-lib-deps
MODULE_LIBES=-llily -lflower

include $(depth)/make/Stepmake.make 


default: $(EXECUTABLE)

# explicit dependencies: (how to do auto?)
#
midi-lexer.l:	$(outdir)/midi-parser.hh

include $(stepdir)/Executable.make

$(outdir)/mi2mu-version.o: $(outdir)/version.hh


VERSION: $(depth)/VERSION
	cp $< $@

=== mutopia/Makefile ===
# mutopia/Makefile

depth = ..

SUBDIRS = J.S.Bach Coriolan W.A.Mozart

include $(depth)/make/Stepmake.make
include $(make-dir)/Mutopia.make

EXTRA_DISTFILES +=  TODO

examples=standchen gallina



include $(stepdir)/WWW.make

=== po/Makefile ===
# title	   makefile for po
# file	   po/Makefile 

depth = ..

NAME = lilypond
MODULE_NAME = po

POFILES = $(wildcard *.po)
MOFILES = $(addprefix $(outdir)/, $(POFILES:.po=.mo))
HELP_CATALOGS = $(POFILES:%.po=%)
CATALOGS = $(HELP_CATALOGS:lilypond=)
EXTRA_DISTFILES = TODO $(POFILES)

include $(depth)/make/Stepmake.make 
include $(stepdir)/Po_rules.make

default: $(MOFILES)

localinstall: $(MOFILES)
	for i in $(CATALOGS); do \
	  $(INSTALL) -d $(localedir)/$$i/LC_MESSAGES; \
	  $(INSTALL) -m 644 $(outdir)/$$i.mo \
	  $(localedir)/$$i/LC_MESSAGES/$(package).mo; \
	done

localuninstall:
	for i in $(CATALOGS); do \
	  rm -f $(localedir)/$$i/LC_MESSAGES/$(package).mo; \
	  rmdir $(localedir)/$$i/LC_MESSAGES; \
	done

=== debian/control ===
Source: lilypond
Section: tex
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Standards-Version: 2.4.1.0

Package: lilypond
Architecture: any
Depends: ${shlibs:Depends}, tetex-base (>= 0.9-5)
Conflicts: musixtex-fonts, tetex-base (<< 0.9)
Description: The GNU Project music typesetter.  
 LilyPond is the GNU Project music typesetter.  This program can print
 beautiful sheet music from a music definition file.  It can also play
 mechanical performances to a MIDI file.  Features include multiple
 staffs, meters, clefs, keys, lyrics, versatile input language, cadenzas,
 beams, slurs, triplets, formatting scores, part extraction.  It includes
 a nice font of musical symbols.
 .
  URL: http://www.cs.ruu.nl/people/hanwen/lilypond
       http://sca.uwaterloo.ca/~praetzel/lilypond/
  Authors: Han-Wen Nienhuys <hanwen@cs.uu.nl>
           Jan Nieuwenhuizen <janneke@gnu.org>
